SDHC_ACESR_Type Union Reference

## Data Fields

struct {
uint16_t ACMD12NE:1
uint16_t ACMDTEO:1
uint16_t ACMDCRC:1
uint16_t ACMDEND:1
uint16_t ACMDIDX:1
uint16_t __pad0__:2
uint16_t CMDNI:1
uint16_t __pad1__:8
} | bit
uint16_t | reg

## Detailed Description

Definition at line 1641 of file sdhc.h.

## Field Documentation

## __pad0__

uint16_t SDHC_ACESR_Type::__pad0__

bit: 5.. 6 Reserved

Definition at line 1648 of file sdhc.h.

## __pad1__

uint16_t SDHC_ACESR_Type::__pad1__

bit: 8..15 Reserved

Definition at line 1650 of file sdhc.h.

## ACMD12NE

uint16_t SDHC_ACESR_Type::ACMD12NE

bit: 0 Auto CMD12 Not Executed

Definition at line 1643 of file sdhc.h.

## ACMDCRC

uint16_t SDHC_ACESR_Type::ACMDCRC

bit: 2 Auto CMD CRC Error

Definition at line 1645 of file sdhc.h.

## ACMDEND

uint16_t SDHC_ACESR_Type::ACMDEND

bit: 3 Auto CMD End Bit Error

Definition at line 1646 of file sdhc.h.

## ACMDIDX

uint16_t SDHC_ACESR_Type::ACMDIDX

bit: 4 Auto CMD Index Error

Definition at line 1647 of file sdhc.h.

## ACMDTEO

uint16_t SDHC_ACESR_Type::ACMDTEO

bit: 1 Auto CMD Timeout Error

Definition at line 1644 of file sdhc.h.

## bit

struct { ... } SDHC_ACESR_Type::bit

Structure used for bit access

## CMDNI

uint16_t SDHC_ACESR_Type::CMDNI

bit: 7 Command not Issued By Auto CMD12 Error

Definition at line 1649 of file sdhc.h.

## reg

uint16_t SDHC_ACESR_Type::reg

Type used for register access

Definition at line 1652 of file sdhc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sdhc.h